# tome_ws

Tomecraft server using tome_server and gorilla/websocket to have an actual working Tomecraft server.

## How to build
Requires Go 1.16

Run make to build the tome_ws binary.

or just run go build


## Running tome_ws

Run the tome_ws binary. You'll need to open port 7636 for it to work.

tome_ws has one flag: -admin

Running with -admin causes the server to log to file serverlog.txt and expose a commandline admin interface.

### Admin interface commands:

	get queue: Get list of players in queue
	get matches: Get list of current matches
	set match <match UUID>: Set the provided match UUID as the current match
	get match: Show current match info
	set player 1|2: Set current player to be eiter Sentinal (1) or Scourge (2)
	get player: show current player info
	get deck <index>: Show current players deck. If index is provided, show card at index in current players deck
	get hand <index>: Show current players hand. If index is provided, show card at index in current players hand
	get board <index>: Show current players board. If index is provided, show card at index in current players board
	reset: reset current match and player
	quit: exit the server
